Functions
FLAG_management
Peripheral Driver » LL Driver » I2C » Functions
Collaboration diagram for FLAG_management:

## Functions
__STATIC_INLINE uint32_t | ll_i2c_get_it_flag (i2c_regs_t *I2Cx)
| Get I2C interrupt flags. More...
__STATIC_INLINE uint32_t | ll_i2c_get_raw_it_flag (i2c_regs_t *I2Cx)
| Get I2C RAW interrupt flags. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_scl_stuck_at_low (i2c_regs_t *I2Cx)
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_scl_stuck_at_low (i2c_regs_t *I2Cx)
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_master_on_hold (i2c_regs_t *I2Cx)
| Indicate the status of MST_ON_HOLD flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_master_on_hold (i2c_regs_t *I2Cx)
| Indicate the status of RAW_MST_ON_HOLD flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_restart_det (i2c_regs_t *I2Cx)
| Indicate the status of RESTART_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_restart_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RESTART_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_gen_call (i2c_regs_t *I2Cx)
| Indicate the status of GEN_CALL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_gen_call (i2c_regs_t *I2Cx)
| Indicate the status of RAW_GEN_CALL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_start_det (i2c_regs_t *I2Cx)
| Indicate the status of START_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_start_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_START_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_stop_det (i2c_regs_t *I2Cx)
| Indicate the status of STOP_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_stop_det (i2c_regs_t *I2Cx)
| Indicate the status of RAW_STOP_DET flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_activity (i2c_regs_t *I2Cx)
| Indicate the status of ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_activity (i2c_regs_t *I2Cx)
| Indicate the status of RAW_ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_done (i2c_regs_t *I2Cx)
| Indicate the status of RX_DONE flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_done (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_DONE flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_abort (i2c_regs_t *I2Cx)
| Indicate the status of TX_ABRT flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_abort (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_ABRT flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_read_req (i2c_regs_t *I2Cx)
| Indicate the status of RD_REQ flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_read_req (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RD_REQ flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_empty (i2c_regs_t *I2Cx)
| Indicate the status of TX_EMPTY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_empty (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_EMPTY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_tx_over (i2c_regs_t *I2Cx)
| Indicate the status of TX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_tx_over (i2c_regs_t *I2Cx)
| Indicate the status of RAW_TX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_full (i2c_regs_t *I2Cx)
| Indicate the status of RX_FULL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_full (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_FULL flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_over (i2c_regs_t *I2Cx)
| Indicate the status of RX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_over (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_OVER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_rx_under (i2c_regs_t *I2Cx)
| Indicate the status of RX_UNDER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_raw_rx_under (i2c_regs_t *I2Cx)
| Indicate the status of RAW_RX_UNDER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_intr (i2c_regs_t *I2Cx)
| Clear the combined interrupt, all individual interrupts, and the IC_TX_ABRT_SOURCE register. More...
__STATIC_INLINE void | ll_i2c_clear_flag_scl_stuck_det (i2c_regs_t *I2Cx)
__STATIC_INLINE void | ll_i2c_clear_flag_gen_call (i2c_regs_t *I2Cx)
| Clear GEN_CALL flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_start_det (i2c_regs_t *I2Cx)
| Clear START_DET flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_stop_det (i2c_regs_t *I2Cx)
| Clear STOP_DET flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_activity (i2c_regs_t *I2Cx)
| Clear ACTIVITY flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_done (i2c_regs_t *I2Cx)
| Clear RX_DONE flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_tx_abort (i2c_regs_t *I2Cx)
| Clear TX_ABRT flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_read_req (i2c_regs_t *I2Cx)
| Clear RD_REQ flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_tx_over (i2c_regs_t *I2Cx)
| Clear TX_OVER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_over (i2c_regs_t *I2Cx)
| Clear RX_OVER flag. More...
__STATIC_INLINE void | ll_i2c_clear_flag_rx_under (i2c_regs_t *I2Cx)
| Clear RX_UNDER flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_sda_stuck_not_recovered (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS SDA stuck at low is not recovered flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_slave_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Slave FSM Activity Status flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_master_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Master FSM Activity Status flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_rff (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Receive FIFO Completely Full flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_rfne (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Receive FIFO Not Empty flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_tfe (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Transmit FIFO Completely Empty flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_tfnf (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS Transmit FIFO Not Full flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_status_activity (i2c_regs_t *I2Cx)
| Indicate the status of IC_STATUS ACTIVITY flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_slave_rx_data_lost (i2c_regs_t *I2Cx)
| Indicate the status of Slave Received Data Lost flag. More...
__STATIC_INLINE uint32_t | ll_i2c_is_active_flag_slave_dis_whl_busy (i2c_regs_t *I2Cx)
| Indicate the status of Slave Disabled While Busy flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_i2c_clear_flag_activity()

__STATIC_INLINE void ll_i2c_clear_flag_activity | ( | i2c_regs_t * | I2Cx | ) |

Clear ACTIVITY flag.

Register | BitsName
--- | ---
CLR_ACTIVITY | CLR_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3012 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_gen_call()

__STATIC_INLINE void ll_i2c_clear_flag_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Clear GEN_CALL flag.

Register | BitsName
--- | ---
CLR_GEN_CALL | CLR_GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2961 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_intr()

__STATIC_INLINE void ll_i2c_clear_flag_intr | ( | i2c_regs_t * | I2Cx | ) |

Clear the combined interrupt, all individual interrupts, and the IC_TX_ABRT_SOURCE register.

Register | BitsName
--- | ---
CLR_INT | CLR_INTR

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2937 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_read_req()

__STATIC_INLINE void ll_i2c_clear_flag_read_req | ( | i2c_regs_t * | I2Cx | ) |

Clear RD_REQ flag.

Register | BitsName
--- | ---
CLR_RD_REQ | CLR_RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3063 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_done()

__STATIC_INLINE void ll_i2c_clear_flag_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_DONE flag.

Register | BitsName
--- | ---
CLR_RX_DONE | CLR_RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3029 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_over()

__STATIC_INLINE void ll_i2c_clear_flag_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_OVER flag.

Register | BitsName
--- | ---
CLR_RX_OVER | CLR_RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3097 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_rx_under()

__STATIC_INLINE void ll_i2c_clear_flag_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Clear RX_UNDER flag.

Register | BitsName
--- | ---
CLR_RX_UNDER | CLR_RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3114 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_scl_stuck_det()

__STATIC_INLINE void ll_i2c_clear_flag_scl_stuck_det | ( | i2c_regs_t * | I2Cx | ) |

Definition at line 2944 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_start_det()

__STATIC_INLINE void ll_i2c_clear_flag_start_det | ( | i2c_regs_t * | I2Cx | ) |

Clear START_DET flag.

Register | BitsName
--- | ---
CLR_START_DET | CLR_START_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2978 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_stop_det()

__STATIC_INLINE void ll_i2c_clear_flag_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Clear STOP_DET flag.

Register | BitsName
--- | ---
CLR_STOP_DET | CLR_STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 2995 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_tx_abort()

__STATIC_INLINE void ll_i2c_clear_flag_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Clear TX_ABRT flag.

Register | BitsName
--- | ---
CLR_TX_ABORT | CLR_TX_ABRT

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3046 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_clear_flag_tx_over()

__STATIC_INLINE void ll_i2c_clear_flag_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Clear TX_OVER flag.

Register | BitsName
--- | ---
CLR_TX_OVER | CLR_TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  None. |

Definition at line 3080 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_it_flag()

__STATIC_INLINE uint32_t ll_i2c_get_it_flag | ( | i2c_regs_t * | I2Cx | ) |

Get I2C interrupt flags.

Register | BitsName
--- | ---
INT_STAT | MST_ON_HOLD
INT_STAT | RESTART_DET
INT_STAT | GEN_CALL
INT_STAT | START_DET
INT_STAT | STOP_DET
INT_STAT | ACTIVITY
INT_STAT | RX_DONE
INT_STAT | TX_ABRT
INT_STAT | RD_REQ
INT_STAT | TX_EMPTY
INT_STAT | TX_OVER
INT_STAT | RX_FULL
INT_STAT | RX_OVER
INT_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  Returned | value can be one or combination of the following values: LL_I2C_INTR_STAT_MST_ON_HOLD LL_I2C_INTR_STAT_RESTART_DET LL_I2C_INTR_STAT_GEN_CALL LL_I2C_INTR_STAT_START_DET LL_I2C_INTR_STAT_STOP_DET LL_I2C_INTR_STAT_ACTIVITY LL_I2C_INTR_STAT_RX_DONE LL_I2C_INTR_STAT_TX_ABRT LL_I2C_INTR_STAT_RD_REQ LL_I2C_INTR_STAT_TX_EMPTY LL_I2C_INTR_STAT_TX_OVER LL_I2C_INTR_STAT_RX_FULL LL_I2C_INTR_STAT_RX_OVER LL_I2C_INTR_STAT_RX_UNDER

Definition at line 2394 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_get_raw_it_flag()

__STATIC_INLINE uint32_t ll_i2c_get_raw_it_flag | ( | i2c_regs_t * | I2Cx | ) |

Get I2C RAW interrupt flags.

Register | BitsName
--- | ---
RAW_INT_STAT | MST_ON_HOLD
RAW_INT_STAT | RESTART_DET
RAW_INT_STAT | GEN_CALL
RAW_INT_STAT | START_DET
RAW_INT_STAT | STOP_DET
RAW_INT_STAT | ACTIVITY
RAW_INT_STAT | RX_DONE
RAW_INT_STAT | TX_ABRT
RAW_INT_STAT | RD_REQ
RAW_INT_STAT | TX_EMPTY
RAW_INT_STAT | TX_OVER
RAW_INT_STAT | RX_FULL
RAW_INT_STAT | RX_OVER
RAW_INT_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  Returned | value can be one or combination of the following values: LL_I2C_INTR_STAT_MST_ON_HOLD LL_I2C_INTR_STAT_RESTART_DET LL_I2C_INTR_STAT_GEN_CALL LL_I2C_INTR_STAT_START_DET LL_I2C_INTR_STAT_STOP_DET LL_I2C_INTR_STAT_ACTIVITY LL_I2C_INTR_STAT_RX_DONE LL_I2C_INTR_STAT_TX_ABRT LL_I2C_INTR_STAT_RD_REQ LL_I2C_INTR_STAT_TX_EMPTY LL_I2C_INTR_STAT_TX_OVER LL_I2C_INTR_STAT_RX_FULL LL_I2C_INTR_STAT_RX_OVER LL_I2C_INTR_STAT_RX_UNDER

Definition at line 2436 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of ACTIVITY flag.

Note
  RESET: Clear default value. SET : When masked ACTIVITY interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2633 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of GEN_CALL flag.

Note
  RESET: Clear default value. SET : When masked GEN_CALL interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2531 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of MST_ON_HOLD flag.

Note
  RESET: Clear default value. SET : When MST_ON_HOLD interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | M_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2463 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_ACTIVITY flag.

Note
  RESET: Clear default value. SET : When unmasked ACTIVITY interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2650 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_gen_call()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_gen_call | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_GEN_CALL flag.

Note
  RESET: Clear default value. SET : When unmasked GEN_CALL interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | GEN_CALL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2548 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_master_on_hold()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_master_on_hold | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_MST_ON_HOLD flag.

Note
  RESET: Clear default value. SET : When unmasked MST_ON_HOLD interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | M_HOLD

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2480 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_read_req | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RD_REQ flag.

Note
  RESET: Clear default value. SET : When unmasked RD_REQ interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2752 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RESTART_DET flag.

Note
  RESET: Clear default value. SET : When unmasked RESTART_DET interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2514 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_DONE flag.

Note
  RESET: Clear default value. SET : When unmasked RX_DONE interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2684 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_full()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_FULL flag.

Note
  RESET: Clear default value. SET : When unmasked RX_FULL interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2854 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_OVER flag.

Note
  RESET: Clear default value. SET : When unmasked RX_OVER interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2888 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_RX_UNDER flag.

Note
  RESET: Clear default value. SET : When unmasked RX_UNDER interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2922 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_scl_stuck_at_low()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_scl_stuck_at_low | ( | i2c_regs_t * | I2Cx | ) |

Definition at line 2446 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_start_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_START_DET flag.

Note
  RESET: Clear default value. SET : When unmasked START_DET interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2582 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_STOP_DET flag.

Note
  RESET: Clear default value. SET : When unmasked STOP_DET interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2616 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_ABRT flag.

Note
  RESET: Clear default value. SET : When unmasked TX_ABRT interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | TX_ABORT

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2718 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_EMPTY flag.

Note
  RESET: Clear default value. SET : When unmasked TX_EMPTY interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2786 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_raw_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_raw_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RAW_TX_OVER flag.

Note
  RESET: Clear default value. SET : When unmasked TX_OVER interrupt is actived.

Register | BitsName
--- | ---
RAW_INT_STAT | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2820 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_read_req()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_read_req | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RD_REQ flag.

Note
  RESET: Clear default value. SET : When masked RD_REQ interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RD_REQ

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2735 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_restart_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_restart_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RESTART_DET flag.

Note
  RESET: Clear default value. SET : When masked RESTART_DET interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RESTART_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2497 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_done()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_done | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_DONE flag.

Note
  RESET: Clear default value. SET : When masked RX_DONE interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RX_DONE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2667 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_full()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_full | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_FULL flag.

Note
  RESET: Clear default value. SET : When masked RX_FULL interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RX_FULL

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2837 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_OVER flag.

Note
  RESET: Clear default value. SET : When masked RX_OVER interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2871 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_rx_under()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_rx_under | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of RX_UNDER flag.

Note
  RESET: Clear default value. SET : When masked RX_UNDER interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | RX_UNDER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2905 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_scl_stuck_at_low()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_scl_stuck_at_low | ( | i2c_regs_t * | I2Cx | ) |

Definition at line 2441 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_slave_dis_whl_busy()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_slave_dis_whl_busy | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of Slave Disabled While Busy flag.

Note
  RESET: Slave is disabled when it is idle. SET : Slave is disabled when it is active.

Register | BitsName
--- | ---
EN_STAT | S_DIS_BUSY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3286 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_slave_rx_data_lost()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_slave_rx_data_lost | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of Slave Received Data Lost flag.

Note
  RESET: Slave RX Data is not lost. SET : Slave RX Data is lost.

Register | BitsName
--- | ---
EN_STAT | S_RX_DATA_LOST

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3269 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_start_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_start_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of START_DET flag.

Note
  RESET: Clear default value. SET : When masked START_DET interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | START_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2565 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS ACTIVITY flag.

Note
  RESET: I2C is idle. SET : When I2C is active.

Register | BitsName
--- | ---
STAT | ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3252 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_master_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_master_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Master FSM Activity Status flag.

Note
  RESET: Master FSM is in IDLE state. SET : When Master FSM is not in IDLE state.

Register | BitsName
--- | ---
STAT | M_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3167 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_rff()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_rff | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Receive FIFO Completely Full flag.

Note
  RESET: Receive FIFO is not full. SET : When Receive FIFO is full.

Register | BitsName
--- | ---
STAT | RX_FIFO_CF

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3184 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_rfne()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_rfne | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Receive FIFO Not Empty flag.

Note
  RESET: Receive FIFO is empty. SET : When Receive FIFO is not empty.

Register | BitsName
--- | ---
STAT | RX_FIFO_NE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3201 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_sda_stuck_not_recovered()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_sda_stuck_not_recovered | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS SDA stuck at low is not recovered flag.

Note
  RESET: stuck at low is recovered. SET : stuck at low is not recovered.

Register | BitsName
--- | ---
STAT | SDA_STUCK_RCVR

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3133 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_slave_activity()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_slave_activity | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Slave FSM Activity Status flag.

Note
  RESET: Slave FSM is in IDLE state. SET : When Slave FSM is not in IDLE state.

Register | BitsName
--- | ---
STAT | S_ACTIVITY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3150 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_tfe()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_tfe | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Transmit FIFO Completely Empty flag.

Note
  RESET: Transmit FIFO is not empty. SET : When Transmit FIFO is empty.

Register | BitsName
--- | ---
STAT | TX_FIFO_CE

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3218 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_status_tfnf()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_status_tfnf | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of IC_STATUS Transmit FIFO Not Full flag.

Note
  RESET: Transmit FIFO is full. SET : When Transmit FIFO is not full.

Register | BitsName
--- | ---
STAT | TX_FIFO_NF

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 3235 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_stop_det()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_stop_det | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of STOP_DET flag.

Note
  RESET: Clear default value. SET : When masked STOP_DET interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | STOP_DET

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2599 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_abort()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_abort | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_ABRT flag.

Note
  RESET: Clear default value. SET : When masked TX_ABRT interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | TX_ABORT

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2701 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_empty()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_empty | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_EMPTY flag.

Note
  RESET: Clear default value. SET : When masked TX_EMPTY interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | TX_EMPTY

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2769 of file gr55xx_ll_i2c.h.

## ◆ ll_i2c_is_active_flag_tx_over()

__STATIC_INLINE uint32_t ll_i2c_is_active_flag_tx_over | ( | i2c_regs_t * | I2Cx | ) |

Indicate the status of TX_OVER flag.

Note
  RESET: Clear default value. SET : When masked TX_OVER interrupt is actived.

Register | BitsName
--- | ---
INT_STAT | TX_OVER

Parameters

  I2Cx | I2C instance.

Return values

  State | of bit (1 or 0).

Definition at line 2803 of file gr55xx_ll_i2c.h.